Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeRO

All Superinterfaces:
  `NodeRO`

All Known Subinterfaces:
  `Proxy.Node`

Enclosing interface:
  `Proxy`

public static interface Proxy.NodeRO extends NodeRO

## Method Summary

Modifier and Type
Method
Description
`List<? extends Node>`
`find(boolean withAncestors, boolean withDescendants, groovy.lang.Closure<Boolean> closure)`
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.
`List<? extends Node>`
`find(groovy.lang.Closure<Boolean> closure)`
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.
`List<? extends Node>`
`find(org.freeplane.features.filter.condition.ICondition condition)`
Deprecated.
since 1.2 use `NodeRO.find(NodeCondition)` instead.

### Methods inherited from interface org.freeplane.api.NodeRO

`allAt, at, find, find, findAll, findAllDepthFirst, getAlias, getAt, getAttributes, getBinary, getChildPosition, getChildren, getCloud, getConnectorsIn, getConnectorsOut, getCountNodesSharingContent, getCountNodesSharingContentAndSubtree, getCreatedAt, getDependents, getDetails, getDetailsText, getDisplayedText, getExternalObject, getFormat, getHideDetails, getHorizontalShift, getHtmlText, getIcons, getId, getIsGlobal, getLastModifiedAt, getLink, getMap, getMindMap, getMinimalDistanceBetweenChildren, getNext, getNodeID, getNodeLevel, getNodesSharingContent, getNodesSharingContentAndSubtree, getNote, getNoteText, getObject, getParent, getParentNode, getPathToRoot, getPlainText, getPlainTextContent, getPrecedents, getPrevious, getReminder, getShortText, getStyle, getText, getTo, getTransformedText, getValue, getVerticalShift, hasStyle, isDescendantOf, isFolded, isFree, isLeaf, isLeft, isMinimized, isRoot, isVisible`

## Method Details

### find

List<? extends Node> find(groovy.lang.Closure<Boolean> closure)
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true. See `Proxy.ControllerRO.find(Closure)` for details.

### find

List<? extends Node> find(boolean withAncestors, boolean withDescendants, groovy.lang.Closure<Boolean> closure)
Starting from this node, recursively searches for nodes for which `closure.call(node)` returns true.

Since:
  1.7.4 See `Proxy.ControllerRO.find(Closure)` for details.

### find

@Deprecated List<? extends Node> find(org.freeplane.features.filter.condition.ICondition condition)
Deprecated.
since 1.2 use `NodeRO.find(NodeCondition)` instead.
Starting from this node, recursively searches for nodes for which `condition.checkNode(node)` returns true.